%define upstream_name    Term-ProgressBar-Quiet
%define upstream_version 0.31

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Provide a progress meter if run interactively
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(IO::Interactive)
BuildRequires: perl(Term::ProgressBar)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
the Term::ProgressBar manpage is a wonderful module for showing progress
bars on the terminal. This module acts very much like that module when it
is run interactively. However, when it is not run interactively (for
example, as a cron job) then it does not show the progress bar.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc CHANGES README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.310.0-11.mga10
+ Revision: 2200773
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.310.0-10.mga9
+ Revision: 1805990
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.310.0-9.mga8
+ Revision: 1497296
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.310.0-8.mga7
+ Revision: 1271630
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.310.0-7.mga6
+ Revision: 1033928
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.310.0-6.mga6
+ Revision: 931721
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.310.0-5.mga5
+ Revision: 739383
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.310.0-4.mga5
+ Revision: 686371
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.310.0-3.mga4
+ Revision: 514981
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.310.0-2.mga3
+ Revision: 373245
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.310.0-1.mga1
+ Revision: 34243
- mageia rebuild
- imported package perl-Term-ProgressBar-Quiet

